Bug 25000 - SQL report not updated
Summary: SQL report not updated
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Devinim
QA Contact: Testopia
URL:
Keywords:
Depends on: 24614
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-27 12:23 UTC by Devinim
Modified: 2020-04-17 02:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 25000: SQL report not updated (780 bytes, patch)
2020-03-27 12:30 UTC, Devinim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Devinim 2020-03-27 12:23:08 UTC
Database is not updated when sql reports was edited
Comment 1 Devinim 2020-03-27 12:30:48 UTC
Created attachment 101993 [details] [review]
Bug 25000: SQL report not updated

Test plan
1- Save and run sql report.
2- Then edit this report and run.
3- You will see that the change is not applied.
4- Apply this patch
5- Update the report and run it again.
6- You will see the updated version is working.
Comment 2 Martin Renvoize 2020-03-27 12:35:29 UTC
Ooops.. trivial fix..

PQA
Comment 3 Martin Renvoize 2020-03-27 12:36:16 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 4 Joy Nelson 2020-04-03 23:05:48 UTC
backported to 19.11.x for 19.11.05
Comment 5 Lucas Gass 2020-04-13 20:52:51 UTC
backported to 19.05.x for 19.05.10
Comment 6 Hayley Mapley 2020-04-17 02:15:53 UTC
File different in 18.11.x, not backporting to 18.11.x series